[ Avaa Bypassed ]




Upload:

Command:

hmhc3928@3.14.250.129: ~ $
#!/bin/sh
#
# Copyright (c) 2005 Junio C Hamano.
#

SUBDIRECTORY_OK=Yes
OPTIONS_KEEPDASHDASH=
OPTIONS_SPEC="\
git rebase [-i] [options] [--exec <cmd>] [--onto <newbase>] [<upstream>] [<branch>]
git rebase [-i] [options] [--exec <cmd>] [--onto <newbase>] --root [<branch>]
git-rebase --continue | --abort | --skip | --edit-todo
--
 Available options are
v,verbose!         display a diffstat of what changed upstream
q,quiet!           be quiet. implies --no-stat
onto=!             rebase onto given branch instead of upstream
p,preserve-merges! try to recreate merges instead of ignoring them
s,strategy=!       use the given merge strategy
no-ff!             cherry-pick all commits, even if unchanged
m,merge!           use merging strategies to rebase
i,interactive!     let the user edit the list of commits to rebase
x,exec=!           add exec lines after each commit of the editable list
k,keep-empty	   preserve empty commits during rebase
f,force-rebase!    force rebase even if branch is up to date
X,strategy-option=! pass the argument through to the merge strategy
stat!              display a diffstat of what changed upstream
n,no-stat!         do not show diffstat of what changed upstream
verify             allow pre-rebase hook to run
rerere-autoupdate  allow rerere to update index with resolved conflicts
root!              rebase all reachable commits up to the root(s)
autosquash         move commits that begin with squash!/fixup! under -i
committer-date-is-author-date! passed to 'git am'
ignore-date!       passed to 'git am'
whitespace=!       passed to 'git apply'
ignore-whitespace! passed to 'git apply'
C=!                passed to 'git apply'
 Actions:
continue!          continue
abort!             abort and check out the original branch
skip!              skip current patch and continue
edit-todo!         edit the todo list during an interactive rebase
"
. git-sh-setup
. git-sh-i18n
set_reflog_action rebase
require_work_tree_exists
cd_to_toplevel

LF='
'
ok_to_skip_pre_rebase=
resolvemsg="
$(gettext 'When you have resolved this problem, run "git rebase --continue".
If you prefer to skip this patch, run "git rebase --skip" instead.
To check out the original branch and stop rebasing, run "git rebase --abort".')
"
unset onto
cmd=
strategy=
strategy_opts=
do_merge=
merge_dir="$GIT_DIR"/rebase-merge
apply_dir="$GIT_DIR"/rebase-apply
verbose=
diffstat=
test "$(git config --bool rebase.stat)" = true && diffstat=t
git_am_opt=
rebase_root=
force_rebase=
allow_rerere_autoupdate=
# Non-empty if a rebase was in progress when 'git rebase' was invoked
in_progress=
# One of {am, merge, interactive}
type=
# One of {"$GIT_DIR"/rebase-apply, "$GIT_DIR"/rebase-merge}
state_dir=
# One of {'', continue, skip, abort}, as parsed from command line
action=
preserve_merges=
autosquash=
keep_empty=
test "$(git config --bool rebase.autosquash)" = "true" && autosquash=t

read_basic_state () {
	head_name=$(cat "$state_dir"/head-name) &&
	onto=$(cat "$state_dir"/onto) &&
	# We always write to orig-head, but interactive rebase used to write to
	# head. Fall back to reading from head to cover for the case that the
	# user upgraded git with an ongoing interactive rebase.
	if test -f "$state_dir"/orig-head
	then
		orig_head=$(cat "$state_dir"/orig-head)
	else
		orig_head=$(cat "$state_dir"/head)
	fi &&
	GIT_QUIET=$(cat "$state_dir"/quiet) &&
	test -f "$state_dir"/verbose && verbose=t
	test -f "$state_dir"/strategy && strategy="$(cat "$state_dir"/strategy)"
	test -f "$state_dir"/strategy_opts &&
		strategy_opts="$(cat "$state_dir"/strategy_opts)"
	test -f "$state_dir"/allow_rerere_autoupdate &&
		allow_rerere_autoupdate="$(cat "$state_dir"/allow_rerere_autoupdate)"
}

write_basic_state () {
	echo "$head_name" > "$state_dir"/head-name &&
	echo "$onto" > "$state_dir"/onto &&
	echo "$orig_head" > "$state_dir"/orig-head &&
	echo "$GIT_QUIET" > "$state_dir"/quiet &&
	test t = "$verbose" && : > "$state_dir"/verbose
	test -n "$strategy" && echo "$strategy" > "$state_dir"/strategy
	test -n "$strategy_opts" && echo "$strategy_opts" > \
		"$state_dir"/strategy_opts
	test -n "$allow_rerere_autoupdate" && echo "$allow_rerere_autoupdate" > \
		"$state_dir"/allow_rerere_autoupdate
}

output () {
	case "$verbose" in
	'')
		output=$("$@" 2>&1 )
		status=$?
		test $status != 0 && printf "%s\n" "$output"
		return $status
		;;
	*)
		"$@"
		;;
	esac
}

move_to_original_branch () {
	case "$head_name" in
	refs/*)
		message="rebase finished: $head_name onto $onto"
		git update-ref -m "$message" \
			$head_name $(git rev-parse HEAD) $orig_head &&
		git symbolic-ref \
			-m "rebase finished: returning to $head_name" \
			HEAD $head_name ||
		die "$(gettext "Could not move back to $head_name")"
		;;
	esac
}

run_specific_rebase () {
	if [ "$interactive_rebase" = implied ]; then
		GIT_EDITOR=:
		export GIT_EDITOR
		autosquash=
	fi
	. git-rebase--$type
}

run_pre_rebase_hook () {
	if test -z "$ok_to_skip_pre_rebase" &&
	   test -x "$GIT_DIR/hooks/pre-rebase"
	then
		"$GIT_DIR/hooks/pre-rebase" ${1+"$@"} ||
		die "$(gettext "The pre-rebase hook refused to rebase.")"
	fi
}

test -f "$apply_dir"/applying &&
	die "$(gettext "It looks like git-am is in progress. Cannot rebase.")"

if test -d "$apply_dir"
then
	type=am
	state_dir="$apply_dir"
elif test -d "$merge_dir"
then
	if test -f "$merge_dir"/interactive
	then
		type=interactive
		interactive_rebase=explicit
	else
		type=merge
	fi
	state_dir="$merge_dir"
fi
test -n "$type" && in_progress=t

total_argc=$#
while test $# != 0
do
	case "$1" in
	--no-verify)
		ok_to_skip_pre_rebase=yes
		;;
	--verify)
		ok_to_skip_pre_rebase=
		;;
	--continue|--skip|--abort|--edit-todo)
		test $total_argc -eq 2 || usage
		action=${1##--}
		;;
	--onto)
		test 2 -le "$#" || usage
		onto="$2"
		shift
		;;
	-x)
		test 2 -le "$#" || usage
		cmd="${cmd}exec $2${LF}"
		shift
		;;
	-i)
		interactive_rebase=explicit
		;;
	-k)
		keep_empty=yes
		;;
	-p)
		preserve_merges=t
		test -z "$interactive_rebase" && interactive_rebase=implied
		;;
	--autosquash)
		autosquash=t
		;;
	--no-autosquash)
		autosquash=
		;;
	-M|-m)
		do_merge=t
		;;
	-X)
		shift
		strategy_opts="$strategy_opts $(git rev-parse --sq-quote "--$1")"
		do_merge=t
		test -z "$strategy" && strategy=recursive
		;;
	-s)
		shift
		strategy="$1"
		do_merge=t
		;;
	-n)
		diffstat=
		;;
	--stat)
		diffstat=t
		;;
	-v)
		verbose=t
		diffstat=t
		GIT_QUIET=
		;;
	-q)
		GIT_QUIET=t
		git_am_opt="$git_am_opt -q"
		verbose=
		diffstat=
		;;
	--whitespace)
		shift
		git_am_opt="$git_am_opt --whitespace=$1"
		case "$1" in
		fix|strip)
			force_rebase=t
			;;
		esac
		;;
	--ignore-whitespace)
		git_am_opt="$git_am_opt $1"
		;;
	--committer-date-is-author-date|--ignore-date)
		git_am_opt="$git_am_opt $1"
		force_rebase=t
		;;
	-C)
		shift
		git_am_opt="$git_am_opt -C$1"
		;;
	--root)
		rebase_root=t
		;;
	-f|--no-ff)
		force_rebase=t
		;;
	--rerere-autoupdate|--no-rerere-autoupdate)
		allow_rerere_autoupdate="$1"
		;;
	--)
		shift
		break
		;;
	esac
	shift
done
test $# -gt 2 && usage

if test -n "$cmd" &&
   test "$interactive_rebase" != explicit
then
	die "$(gettext "The --exec option must be used with the --interactive option")"
fi

if test -n "$action"
then
	test -z "$in_progress" && die "$(gettext "No rebase in progress?")"
	# Only interactive rebase uses detailed reflog messages
	if test "$type" = interactive && test "$GIT_REFLOG_ACTION" = rebase
	then
		GIT_REFLOG_ACTION="rebase -i ($action)"
		export GIT_REFLOG_ACTION
	fi
fi

if test "$action" = "edit-todo" && test "$type" != "interactive"
then
	die "$(gettext "The --edit-todo action can only be used during interactive rebase.")"
fi

case "$action" in
continue)
	# Sanity check
	git rev-parse --verify HEAD >/dev/null ||
		die "$(gettext "Cannot read HEAD")"
	git update-index --ignore-submodules --refresh &&
	git diff-files --quiet --ignore-submodules || {
		echo "$(gettext "You must edit all merge conflicts and then
mark them as resolved using git add")"
		exit 1
	}
	read_basic_state
	run_specific_rebase
	;;
skip)
	output git reset --hard HEAD || exit $?
	read_basic_state
	run_specific_rebase
	;;
abort)
	git rerere clear
	read_basic_state
	case "$head_name" in
	refs/*)
		git symbolic-ref -m "rebase: aborting" HEAD $head_name ||
		die "$(eval_gettext "Could not move back to \$head_name")"
		;;
	esac
	output git reset --hard $orig_head
	rm -r "$state_dir"
	exit
	;;
edit-todo)
	run_specific_rebase
	;;
esac

# Make sure no rebase is in progress
if test -n "$in_progress"
then
	state_dir_base=${state_dir##*/}
	cmd_live_rebase="git rebase (--continue | --abort | --skip)"
	cmd_clear_stale_rebase="rm -fr \"$state_dir\""
	die "
$(eval_gettext 'It seems that there is already a $state_dir_base directory, and
I wonder if you are in the middle of another rebase.  If that is the
case, please try
	$cmd_live_rebase
If that is not the case, please
	$cmd_clear_stale_rebase
and run me again.  I am stopping in case you still have something
valuable there.')"
fi

if test -n "$rebase_root" && test -z "$onto"
then
	test -z "$interactive_rebase" && interactive_rebase=implied
fi

if test -n "$interactive_rebase"
then
	type=interactive
	state_dir="$merge_dir"
elif test -n "$do_merge"
then
	type=merge
	state_dir="$merge_dir"
else
	type=am
	state_dir="$apply_dir"
fi

if test -z "$rebase_root"
then
	case "$#" in
	0)
		if ! upstream_name=$(git rev-parse --symbolic-full-name \
			--verify -q @{upstream} 2>/dev/null)
		then
			. git-parse-remote
			error_on_missing_default_upstream "rebase" "rebase" \
				"against" "git rebase <branch>"
		fi
		;;
	*)	upstream_name="$1"
		shift
		;;
	esac
	upstream=`git rev-parse --verify "${upstream_name}^0"` ||
	die "$(eval_gettext "invalid upstream \$upstream_name")"
	upstream_arg="$upstream_name"
else
	if test -z "$onto"
	then
		empty_tree=`git hash-object -t tree /dev/null`
		onto=`git commit-tree $empty_tree </dev/null`
		squash_onto="$onto"
	fi
	unset upstream_name
	unset upstream
	test $# -gt 1 && usage
	upstream_arg=--root
fi

# Make sure the branch to rebase onto is valid.
onto_name=${onto-"$upstream_name"}
case "$onto_name" in
*...*)
	if	left=${onto_name%...*} right=${onto_name#*...} &&
		onto=$(git merge-base --all ${left:-HEAD} ${right:-HEAD})
	then
		case "$onto" in
		?*"$LF"?*)
			die "$(eval_gettext "\$onto_name: there are more than one merge bases")"
			;;
		'')
			die "$(eval_gettext "\$onto_name: there is no merge base")"
			;;
		esac
	else
		die "$(eval_gettext "\$onto_name: there is no merge base")"
	fi
	;;
*)
	onto=$(git rev-parse --verify "${onto_name}^0") ||
	die "$(eval_gettext "Does not point to a valid commit: \$onto_name")"
	;;
esac

# If the branch to rebase is given, that is the branch we will rebase
# $branch_name -- branch being rebased, or HEAD (already detached)
# $orig_head -- commit object name of tip of the branch before rebasing
# $head_name -- refs/heads/<that-branch> or "detached HEAD"
switch_to=
case "$#" in
1)
	# Is it "rebase other $branchname" or "rebase other $commit"?
	branch_name="$1"
	switch_to="$1"

	if git show-ref --verify --quiet -- "refs/heads/$1" &&
	   orig_head=$(git rev-parse -q --verify "refs/heads/$1")
	then
		head_name="refs/heads/$1"
	elif orig_head=$(git rev-parse -q --verify "$1")
	then
		head_name="detached HEAD"
	else
		die "$(eval_gettext "fatal: no such branch: \$branch_name")"
	fi
	;;
0)
	# Do not need to switch branches, we are already on it.
	if branch_name=`git symbolic-ref -q HEAD`
	then
		head_name=$branch_name
		branch_name=`expr "z$branch_name" : 'zrefs/heads/\(.*\)'`
	else
		head_name="detached HEAD"
		branch_name=HEAD ;# detached
	fi
	orig_head=$(git rev-parse --verify HEAD) || exit
	;;
*)
	die "BUG: unexpected number of arguments left to parse"
	;;
esac

require_clean_work_tree "rebase" "$(gettext "Please commit or stash them.")"

# Now we are rebasing commits $upstream..$orig_head (or with --root,
# everything leading up to $orig_head) on top of $onto

# Check if we are already based on $onto with linear history,
# but this should be done only when upstream and onto are the same
# and if this is not an interactive rebase.
mb=$(git merge-base "$onto" "$orig_head")
if test "$type" != interactive && test "$upstream" = "$onto" &&
	test "$mb" = "$onto" &&
	# linear history?
	! (git rev-list --parents "$onto".."$orig_head" | sane_grep " .* ") > /dev/null
then
	if test -z "$force_rebase"
	then
		# Lazily switch to the target branch if needed...
		test -z "$switch_to" || git checkout "$switch_to" --
		say "$(eval_gettext "Current branch \$branch_name is up to date.")"
		exit 0
	else
		say "$(eval_gettext "Current branch \$branch_name is up to date, rebase forced.")"
	fi
fi

# If a hook exists, give it a chance to interrupt
run_pre_rebase_hook "$upstream_arg" "$@"

if test -n "$diffstat"
then
	if test -n "$verbose"
	then
		echo "$(eval_gettext "Changes from \$mb to \$onto:")"
	fi
	# We want color (if set), but no pager
	GIT_PAGER='' git diff --stat --summary "$mb" "$onto"
fi

test "$type" = interactive && run_specific_rebase

# Detach HEAD and reset the tree
say "$(gettext "First, rewinding head to replay your work on top of it...")"
git checkout -q "$onto^0" || die "could not detach HEAD"
git update-ref ORIG_HEAD $orig_head

# If the $onto is a proper descendant of the tip of the branch, then
# we just fast-forwarded.
if test "$mb" = "$orig_head"
then
	say "$(eval_gettext "Fast-forwarded \$branch_name to \$onto_name.")"
	move_to_original_branch
	exit 0
fi

if test -n "$rebase_root"
then
	revisions="$onto..$orig_head"
else
	revisions="$upstream..$orig_head"
fi

run_specific_rebase

Filemanager

Name Type Size Permission Actions
mergetools Folder 0755
.git-add.40009 File 1.46 MB 0755
.git-annotate.40009 File 1.46 MB 0755
.git-apply.40009 File 1.46 MB 0755
.git-archive.40009 File 1.46 MB 0755
.git-bisect--helper.40009 File 1.46 MB 0755
.git-blame.40009 File 1.46 MB 0755
.git-branch.40009 File 1.46 MB 0755
.git-bundle.40009 File 1.46 MB 0755
.git-cat-file.40009 File 1.46 MB 0755
.git-check-attr.40009 File 1.46 MB 0755
.git-check-ignore.40009 File 1.46 MB 0755
.git-check-ref-format.40009 File 1.46 MB 0755
.git-checkout-index.40009 File 1.46 MB 0755
.git-checkout.40009 File 1.46 MB 0755
.git-cherry-pick.40009 File 1.46 MB 0755
.git-cherry.40009 File 1.46 MB 0755
.git-clean.40009 File 1.46 MB 0755
.git-clone.40009 File 1.46 MB 0755
.git-column.40009 File 1.46 MB 0755
.git-commit-tree.40009 File 1.46 MB 0755
.git-commit.40009 File 1.46 MB 0755
.git-config.40009 File 1.46 MB 0755
.git-count-objects.40009 File 1.46 MB 0755
.git-credential.40009 File 1.46 MB 0755
.git-describe.40009 File 1.46 MB 0755
.git-diff-files.40009 File 1.46 MB 0755
.git-diff-index.40009 File 1.46 MB 0755
.git-diff-tree.40009 File 1.46 MB 0755
.git-diff.40009 File 1.46 MB 0755
.git-fast-export.40009 File 1.46 MB 0755
.git-fetch-pack.40009 File 1.46 MB 0755
.git-fetch.40009 File 1.46 MB 0755
.git-fmt-merge-msg.40009 File 1.46 MB 0755
.git-for-each-ref.40009 File 1.46 MB 0755
.git-format-patch.40009 File 1.46 MB 0755
.git-fsck-objects.40009 File 1.46 MB 0755
.git-fsck.40009 File 1.46 MB 0755
.git-gc.40009 File 1.46 MB 0755
.git-get-tar-commit-id.40009 File 1.46 MB 0755
.git-grep.40009 File 1.46 MB 0755
.git-hash-object.40009 File 1.46 MB 0755
.git-help.40009 File 1.46 MB 0755
.git-index-pack.40009 File 1.46 MB 0755
.git-init-db.40009 File 1.46 MB 0755
.git-init.40009 File 1.46 MB 0755
.git-log.40009 File 1.46 MB 0755
.git-ls-files.40009 File 1.46 MB 0755
.git-ls-remote.40009 File 1.46 MB 0755
.git-ls-tree.40009 File 1.46 MB 0755
.git-mailinfo.40009 File 1.46 MB 0755
.git-mailsplit.40009 File 1.46 MB 0755
.git-merge-base.40009 File 1.46 MB 0755
.git-merge-file.40009 File 1.46 MB 0755
.git-merge-index.40009 File 1.46 MB 0755
.git-merge-ours.40009 File 1.46 MB 0755
.git-merge-recursive.40009 File 1.46 MB 0755
.git-merge-subtree.40009 File 1.46 MB 0755
.git-merge-tree.40009 File 1.46 MB 0755
.git-merge.40009 File 1.46 MB 0755
.git-mktag.40009 File 1.46 MB 0755
.git-mktree.40009 File 1.46 MB 0755
.git-mv.40009 File 1.46 MB 0755
.git-name-rev.40009 File 1.46 MB 0755
.git-notes.40009 File 1.46 MB 0755
.git-pack-objects.40009 File 1.46 MB 0755
.git-pack-redundant.40009 File 1.46 MB 0755
.git-pack-refs.40009 File 1.46 MB 0755
.git-patch-id.40009 File 1.46 MB 0755
.git-peek-remote.40009 File 1.46 MB 0755
.git-prune-packed.40009 File 1.46 MB 0755
.git-prune.40009 File 1.46 MB 0755
.git-push.40009 File 1.46 MB 0755
.git-read-tree.40009 File 1.46 MB 0755
.git-receive-pack.40009 File 1.46 MB 0755
.git-reflog.40009 File 1.46 MB 0755
.git-remote-ext.40009 File 1.46 MB 0755
.git-remote-fd.40009 File 1.46 MB 0755
.git-remote-ftps.40009 File 820.52 KB 0755
.git-remote-http.40009 File 820.52 KB 0755
.git-remote-https.40009 File 820.52 KB 0755
.git-remote.40009 File 1.46 MB 0755
.git-replace.40009 File 1.46 MB 0755
.git-repo-config.40009 File 1.46 MB 0755
.git-rerere.40009 File 1.46 MB 0755
.git-reset.40009 File 1.46 MB 0755
.git-rev-list.40009 File 1.46 MB 0755
.git-rev-parse.40009 File 1.46 MB 0755
.git-revert.40009 File 1.46 MB 0755
.git-rm.40009 File 1.46 MB 0755
.git-send-pack.40009 File 1.46 MB 0755
.git-shell.40009 File 717.95 KB 0755
.git-shortlog.40009 File 1.46 MB 0755
.git-show-branch.40009 File 1.46 MB 0755
.git-show-ref.40009 File 1.46 MB 0755
.git-show.40009 File 1.46 MB 0755
.git-stage.40009 File 1.46 MB 0755
.git-status.40009 File 1.46 MB 0755
.git-stripspace.40009 File 1.46 MB 0755
.git-submodule--helper.40009 File 1.46 MB 0755
.git-symbolic-ref.40009 File 1.46 MB 0755
.git-tag.40009 File 1.46 MB 0755
.git-tar-tree.40009 File 1.46 MB 0755
.git-unpack-file.40009 File 1.46 MB 0755
.git-unpack-objects.40009 File 1.46 MB 0755
.git-update-index.40009 File 1.46 MB 0755
.git-update-ref.40009 File 1.46 MB 0755
.git-update-server-info.40009 File 1.46 MB 0755
.git-upload-archive.40009 File 1.46 MB 0755
.git-upload-pack.40009 File 791.44 KB 0755
.git-var.40009 File 1.46 MB 0755
.git-verify-pack.40009 File 1.46 MB 0755
.git-verify-tag.40009 File 1.46 MB 0755
.git-whatchanged.40009 File 1.46 MB 0755
.git-write-tree.40009 File 1.46 MB 0755
.git.40009 File 1.46 MB 0755
git File 1.46 MB 0755
git-add File 1.46 MB 0755
git-add--interactive File 35.8 KB 0755
git-am File 21.84 KB 0755
git-annotate File 1.46 MB 0755
git-apply File 1.46 MB 0755
git-archive File 1.46 MB 0755
git-bisect File 11.71 KB 0755
git-bisect--helper File 1.46 MB 0755
git-blame File 1.46 MB 0755
git-branch File 1.46 MB 0755
git-bundle File 1.46 MB 0755
git-cat-file File 1.46 MB 0755
git-check-attr File 1.46 MB 0755
git-check-ignore File 1.46 MB 0755
git-check-ref-format File 1.46 MB 0755
git-checkout File 1.46 MB 0755
git-checkout-index File 1.46 MB 0755
git-cherry File 1.46 MB 0755
git-cherry-pick File 1.46 MB 0755
git-clean File 1.46 MB 0755
git-clone File 1.46 MB 0755
git-column File 1.46 MB 0755
git-commit File 1.46 MB 0755
git-commit-tree File 1.46 MB 0755
git-config File 1.46 MB 0755
git-count-objects File 1.46 MB 0755
git-credential File 1.46 MB 0755
git-credential-cache File 717.83 KB 0755
git-credential-cache--daemon File 730.32 KB 0755
git-credential-store File 726.01 KB 0755
git-describe File 1.46 MB 0755
git-diff File 1.46 MB 0755
git-diff-files File 1.46 MB 0755
git-diff-index File 1.46 MB 0755
git-diff-tree File 1.46 MB 0755
git-difftool File 13.41 KB 0755
git-difftool--helper File 1.86 KB 0755
git-fast-export File 1.46 MB 0755
git-fast-import File 754.91 KB 0755
git-fetch File 1.46 MB 0755
git-fetch-pack File 1.46 MB 0755
git-filter-branch File 11.33 KB 0755
git-fmt-merge-msg File 1.46 MB 0755
git-for-each-ref File 1.46 MB 0755
git-format-patch File 1.46 MB 0755
git-fsck File 1.46 MB 0755
git-fsck-objects File 1.46 MB 0755
git-gc File 1.46 MB 0755
git-get-tar-commit-id File 1.46 MB 0755
git-grep File 1.46 MB 0755
git-hash-object File 1.46 MB 0755
git-help File 1.46 MB 0755
git-http-backend File 730.63 KB 0755
git-http-fetch File 816.54 KB 0755
git-http-push File 832.82 KB 0755
git-imap-send File 738.79 KB 0755
git-index-pack File 1.46 MB 0755
git-init File 1.46 MB 0755
git-init-db File 1.46 MB 0755
git-log File 1.46 MB 0755
git-lost-found File 554 B 0755
git-ls-files File 1.46 MB 0755
git-ls-remote File 1.46 MB 0755
git-ls-tree File 1.46 MB 0755
git-mailinfo File 1.46 MB 0755
git-mailsplit File 1.46 MB 0755
git-merge File 1.46 MB 0755
git-merge-base File 1.46 MB 0755
git-merge-file File 1.46 MB 0755
git-merge-index File 1.46 MB 0755
git-merge-octopus File 2.16 KB 0755
git-merge-one-file File 3.4 KB 0755
git-merge-ours File 1.46 MB 0755
git-merge-recursive File 1.46 MB 0755
git-merge-resolve File 944 B 0755
git-merge-subtree File 1.46 MB 0755
git-merge-tree File 1.46 MB 0755
git-mergetool File 8.18 KB 0755
git-mergetool--lib File 7.6 KB 0644
git-mktag File 1.46 MB 0755
git-mktree File 1.46 MB 0755
git-mv File 1.46 MB 0755
git-name-rev File 1.46 MB 0755
git-notes File 1.46 MB 0755
git-pack-objects File 1.46 MB 0755
git-pack-redundant File 1.46 MB 0755
git-pack-refs File 1.46 MB 0755
git-parse-remote File 2.13 KB 0644
git-patch-id File 1.46 MB 0755
git-peek-remote File 1.46 MB 0755
git-prune File 1.46 MB 0755
git-prune-packed File 1.46 MB 0755
git-pull File 7.68 KB 0755
git-push File 1.46 MB 0755
git-quiltimport File 3.27 KB 0755
git-read-tree File 1.46 MB 0755
git-rebase File 13.26 KB 0755
git-rebase--am File 1.43 KB 0644
git-rebase--interactive File 25.09 KB 0644
git-rebase--merge File 3.01 KB 0644
git-receive-pack File 1.46 MB 0755
git-reflog File 1.46 MB 0755
git-relink File 4.09 KB 0755
git-remote File 1.46 MB 0755
git-remote-ext File 1.46 MB 0755
git-remote-fd File 1.46 MB 0755
git-remote-ftp File 824.59 KB 0755
git-remote-ftps File 824.59 KB 0755
git-remote-http File 824.59 KB 0755
git-remote-https File 824.59 KB 0755
git-remote-testpy File 7.26 KB 0755
git-repack File 4.87 KB 0755
git-replace File 1.46 MB 0755
git-repo-config File 1.46 MB 0755
git-request-pull File 3.57 KB 0755
git-rerere File 1.46 MB 0755
git-reset File 1.46 MB 0755
git-rev-list File 1.46 MB 0755
git-rev-parse File 1.46 MB 0755
git-revert File 1.46 MB 0755
git-rm File 1.46 MB 0755
git-send-pack File 1.46 MB 0755
git-sh-i18n File 1.92 KB 0644
git-sh-i18n--envsubst File 24.16 KB 0755
git-sh-setup File 6.32 KB 0644
git-shell File 722.04 KB 0755
git-shortlog File 1.46 MB 0755
git-show File 1.46 MB 0755
git-show-branch File 1.46 MB 0755
git-show-index File 717.8 KB 0755
git-show-ref File 1.46 MB 0755
git-stage File 1.46 MB 0755
git-stash File 12.61 KB 0755
git-status File 1.46 MB 0755
git-stripspace File 1.46 MB 0755
git-submodule File 30.31 KB 0755
git-submodule--helper File 1.46 MB 0755
git-subtree File 15.08 KB 0755
git-symbolic-ref File 1.46 MB 0755
git-tag File 1.46 MB 0755
git-tar-tree File 1.46 MB 0755
git-unpack-file File 1.46 MB 0755
git-unpack-objects File 1.46 MB 0755
git-update-index File 1.46 MB 0755
git-update-ref File 1.46 MB 0755
git-update-server-info File 1.46 MB 0755
git-upload-archive File 1.46 MB 0755
git-upload-pack File 795.48 KB 0755
git-var File 1.46 MB 0755
git-verify-pack File 1.46 MB 0755
git-verify-tag File 1.46 MB 0755
git-web--browse File 4.12 KB 0755
git-whatchanged File 1.46 MB 0755
git-write-tree File 1.46 MB 0755